package domain

type AlibabaWdkMarketingItemdiscountAdditemMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   报名活动成功的商品详情     */
	Data *AlibabaWdkMarketingItemdiscountAdditemItemDiscountSku `json:"data,omitempty" `

	/*
	   是否报名成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingItemdiscountAdditemMarketResult) SetMessage(v string) *AlibabaWdkMarketingItemdiscountAdditemMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountAdditemMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingItemdiscountAdditemMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountAdditemMarketResult) SetData(v AlibabaWdkMarketingItemdiscountAdditemItemDiscountSku) *AlibabaWdkMarketingItemdiscountAdditemMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountAdditemMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingItemdiscountAdditemMarketResult {
	s.Success = &v
	return s
}
